Take me to your (curved) leaders

What's the easiest way to make CURVED leaders in ACAD 2000?
Sure, I could make a spline for each and attach an arrowhead but is there
any way to generate them similar to the STRAIGHT leader which is the ACAD standard?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Go to leader settings, it's right there.
StarMan wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Don't know about 2000 but later releases as follows: _qleader <Settings> Leader Line & Arrow tab Under Leader Line catagory, check spline

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Thanks. Don't know how I missed that.

there
ACAD
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
You could use 'Arc.lsp'. Produces an arrow leader that can be curved on the fly so as to miss other entities. I use R14 and find it very useful.
If you want it I can send it to you. Note the sig below.
Brian.
For email reply, replace all before '@' with briansalt.
snipped-for-privacy@hotmail.com (StarMan) wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

I for one (one who iniitallly started up Manually Drafting) can not see why anyone would draw a Curved (or normal) Leader from the Arrow Head to the Text...
If you ever did manual drafting, you'd know that you type your Text... then draw FROM the text to the arrow head...
But then that is MY personal opinion...
Thus, I have my trusty Leader routines (in LISP) to do this sort of thing. Be it standard or Curved leaders (single or multi line types)...
But I rant... I shall get off my pedestal (:
BruceF
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
wrote:

why
then
Be
Care to share the LISP?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
snipped-for-privacy@MyEmail.com (Michael \(LS\)) wrote:

I guess that was intended for me, so see below.
Brian
(defun C:AW (/ GAMA BETA ARFA ARCLENG AWIDTH A MIDANGLE ANG) ;--------input endpoints of arc------------------------ (setq TEMPORTHO (getvar "orthomode")) (setq TEMPAUNIT (getvar "aunits") ) (setvar "cmdecho" 0) (setq TEMPLT (getvar "celtype")) (setq TEMPPLW (getvar "plinewid") ) (setvar "celtype" "bylayer") (setvar "orthomode" 0) (setvar "aunits" 0) (setq PT1 (getpoint "\nStart Point: ")) (setq PT2 (getpoint PT1 "\nEnd Point: ") ) (command "arc" PT1 "e" PT2 "d" pause) ;-------calculate start angle and radious of the arc----- (setq GAMA (getvar "lastangle")) ;arc endpoint tan angle (setq BETA (angle PT1 PT2)) (setq ARFA (- BETA GAMA)) (setq ARCLENG (distance PT1 PT2)) (setq RADIOUS (/ (* 0.5 ARCLENG) (sin ARFA)) ) (setq TANANGLE (+ ARFA BETA))
;-------calculate the angle that the midpoint of the ; arrow is on the arc------------------------------ (setq ARWLENG (* (getvar "dimasz") (getvar "dimscale"))) (setq AWIDTH (/ ARWLENG 3.) ) (setq SINA (/ (* 0.5 ARWLENG) RADIOUS)) (setq COSA (sqrt (- 1 (* SINA SINA))) ) (setq TANA (/ SINA COSA)) (setq A (atan TANA)) (setq MIDANGLE (- TANANGLE A)) (setq PT3 (polar PT1 MIDANGLE ARWLENG) ) ;arrow end point (command "erase" "l" "") ;-----draw pline arc and arrow------------------------------ (setq ANG (* 57.2958 (+ 3.14159 GAMA))) ;pline start angle (setvar "fillmode" 1) (command "pline" PT2 "w" "0" "0" "arc" "d" ANG PT1 "l" "w" "0" AWIDTH PT3 "w" "0" "0" "" ) (setvar "orthomode" TEMPORTHO) (setvar "aunits" TEMPAUNIT) (setvar "celtype" TEMPLT) (setvar "plinewid" TEMPPLW) (setvar "cmdecho" 1) (princ) ) ;end aww (prompt "\nType AW to draw arc leader") (princ)
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.